## antlr 2.7.2-6

=== Makefile ===
###############################################################################
# $Id: //depot/code/org.antlr/dev/klaren.dev/Makefile $
###############################################################################

TARGET = antlr

DATE         := $(shell date +%Y%m%d)
VERSION_FILE := .version

ifeq ($(VERSION_FILE),$(wildcard $(VERSION_FILE)))
TAR_FILE	= $(PACKAGE_NAME)-$(DATE)-$(shell cat $(VERSION_FILE)).tar.gz
endif

TAR_DIR		 = $(shell basename $$PWD)

#
# Variable definitions
#
ifeq (scripts/Config.make,$(wildcard scripts/Config.make))
include scripts/Config.make
else
default:
	@echo "Please run configure script before running make"
	@echo "   Check ./configure --help for options"
	@echo "   Also check install.html and the documentation in doc/"
endif

#
# Set TOPDIR
#
TOPDIR	=	$(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)

#
#  JAR contents.
#
#  N.B., Any class file name with an embedded '$'
#  (javac generated filenames for inner classes) must
#  have the '$' escaped with '$' for make (i.e.,
#  each '$' in the file name is represented by '$$').
#

# Which java classes belong in the runtime lib
antlr_jar_FILES := \
	antlr/StringUtils.class \
	antlr/DefineGrammarSymbols.class \
	antlr/ANTLRGrammarParseBehavior.class \
	antlr/MakeGrammar.class \
	antlr/ANTLRParser.class \
	antlr/ANTLRTokenTypes.class \
	antlr/LLkGrammarAnalyzer.class \
	antlr/GrammarAnalyzer.class \
	antlr/ANTLRException.class \
	antlr/CharStreamException.class \
	antlr/CharStreamIOException.class \
	antlr/FileCopyException.class \
	antlr/FileLineFormatter.class \
	antlr/MismatchedCharException.class \
	antlr/MismatchedTokenException.class \
	antlr/NoViableAltException.class \
	antlr/NoViableAltForCharException.class \
	antlr/RecognitionException.class \
	antlr/SemanticException.class \
	antlr/TokenStreamException.class \
	antlr/TokenStreamIOException.class \
	antlr/TokenStreamRecognitionException.class \
	antlr/TokenStreamRetryException.class      \
	antlr/ANTLRHashString.class \
	antlr/ANTLRStringBuffer.class \
	antlr/ASTFactory.class \
	antlr/ASTNULLType.class \
	antlr/ASTPair.class \
	antlr/BaseAST.class \
	antlr/ByteBuffer.class \
	antlr/CharBuffer.class \
	antlr/InputBuffer.class \
	antlr/CharQueue.class \
	antlr/CharScanner.class \
	antlr/CommonAST.class \
	antlr/CommonASTWithHiddenTokens.class \
	antlr/CommonToken.class \
	antlr/CommonHiddenStreamToken.class \
	antlr/LLkParser.class \
	antlr/Parser.class \
	antlr/Token.class \
	antlr/TokenBuffer.class \
	antlr/TokenQueue.class \
	antlr/TokenStream.class \
	antlr/TokenStreamHiddenTokenFilter.class \
	antlr/TokenStreamBasicFilter.class \
	antlr/TokenStreamSelector.class \
	antlr/Tool.class \
	antlr/ToolErrorHandler.class \
	antlr/TreeParser.class \
	antlr/collections/AST.class \
	antlr/collections/ASTEnumeration.class \
	antlr/collections/impl/ASTArray.class \
	antlr/collections/impl/BitSet.class \
	antlr/collections/List.class \
	antlr/collections/Stack.class \
	antlr/collections/impl/LList.class \
	antlr/collections/impl/LLCell.class \
	antlr/LexerSharedInputState.class \
	antlr/ParserSharedInputState.class \
	antlr/TreeParserSharedInputState.class \
	antlr/debug/misc/ASTFrame$$1.class \
	antlr/debug/misc/ASTFrame$$MyTreeSelectionListener.class \
	antlr/debug/misc/ASTFrame.class \
	antlr/debug/misc/JTreeASTModel.class \
	antlr/debug/misc/JTreeASTPanel.class

# Which classes end up in the debug runtime
antlr_debug_jar_FILES := $(antlr_jar_FILES) \
	antlr/debug/DebuggingCharScanner.class \
	antlr/debug/DebuggingInputBuffer.class \
	antlr/debug/DebuggingParser.class \
	antlr/debug/Event.class\
	antlr/debug/GuessingEvent.class\
	antlr/debug/InputBufferAdapter.class\
	antlr/debug/InputBufferEvent.class\
	antlr/debug/InputBufferEventSupport.class\
	antlr/debug/InputBufferListener.class\
	antlr/debug/InputBufferReporter.class\
	antlr/debug/ListenerBase.class\
	antlr/debug/LLkDebuggingParser.class\
	antlr/debug/MessageAdapter.class\
	antlr/debug/MessageEvent.class\
	antlr/debug/MessageListener.class\
	antlr/debug/NewLineEvent.class\
	antlr/debug/NewLineListener.class\
	antlr/debug/ParserAdapter.class\
	antlr/debug/ParserController.class\
	antlr/debug/ParserEventSupport.class\
	antlr/debug/ParserListener.class\
	antlr/debug/ParserMatchAdapter.class\
	antlr/debug/ParserMatchEvent.class\
	antlr/debug/ParserMatchListener.class\
	antlr/debug/ParserReporter.class\
	antlr/debug/ParserTokenAdapter.class\
	antlr/debug/ParserTokenEvent.class\
	antlr/debug/ParserTokenListener.class\
	antlr/debug/SemanticPredicateAdapter.class\
	antlr/debug/SemanticPredicateEvent.class\
	antlr/debug/SemanticPredicateListener.class\
	antlr/debug/SyntacticPredicateAdapter.class\
	antlr/debug/SyntacticPredicateEvent.class\
	antlr/debug/SyntacticPredicateListener.class\
	antlr/debug/TraceAdapter.class\
	antlr/debug/TraceEvent.class\
	antlr/debug/TraceListener.class\
	antlr/debug/Tracer.class

# Which classes end up in the antlrall.jar (antlr.Tool)
antlrall_jar_FILES := $(antlr_debug_jar_FILES) \
	antlr/ANTLRError.class\
	antlr/ANTLRLexer.class\
	antlr/ANTLRTokdefLexer.class\
	antlr/ANTLRTokdefParser.class\
	antlr/ANTLRTokdefParserTokenTypes.class\
	antlr/ASTIterator.class\
	antlr/ASTVisitor.class\
	antlr/ActionElement.class\
	antlr/ActionTransInfo.class\
	antlr/Alternative.class\
	antlr/AlternativeBlock.class\
	antlr/AlternativeElement.class\
	antlr/BlockContext.class\
	antlr/BlockEndElement.class\
	antlr/BlockWithImpliedExitPath.class\
	antlr/CharFormatter.class\
	antlr/CharLiteralElement.class\
	antlr/CharRangeElement.class\
	antlr/CodeGenerator.class\
	antlr/CppBlockFinishingInfo.class\
	antlr/CppCharFormatter.class\
	antlr/CppCodeGenerator.class\
	antlr/DefaultFileLineFormatter.class\
	antlr/DefaultToolErrorHandler.class\
	antlr/DiagnosticCodeGenerator.class\
	antlr/DocBookCodeGenerator.class\
	antlr/DumpASTVisitor.class\
	antlr/ExceptionHandler.class\
	antlr/ExceptionSpec.class\
	antlr/Grammar.class\
	antlr/GrammarAtom.class\
	antlr/GrammarElement.class\
	antlr/GrammarSymbol.class\
	antlr/HTMLCodeGenerator.class\
	antlr/ImportVocabTokenManager.class\
	antlr/JavaBlockFinishingInfo.class\
	antlr/JavaCharFormatter.class\
	antlr/JavaCodeGenerator.class\
	antlr/LLkAnalyzer.class\
	antlr/LexerGrammar.class\
	antlr/Lookahead.class\
	antlr/NameSpace.class\
	antlr/OneOrMoreBlock.class\
	antlr/ParserGrammar.class\
	antlr/PreservingFileWriter.class\
	antlr/RuleBlock.class\
	antlr/RuleEndElement.class\
	antlr/RuleRefElement.class\
	antlr/RuleSymbol.class\
	antlr/SimpleTokenManager.class\
	antlr/StringLiteralElement.class\
	antlr/StringLiteralSymbol.class\
	antlr/SynPredBlock.class\
	antlr/TokenManager.class\
	antlr/TokenRangeElement.class\
	antlr/TokenRefElement.class\
	antlr/TokenSymbol.class\
	antlr/TreeBlockContext.class\
	antlr/TreeElement.class\
	antlr/TreeSpecifierNode.class\
	antlr/TreeWalkerGrammar.class\
	antlr/WildcardElement.class\
	antlr/ZeroOrMoreBlock.class\
	antlr/actions/cpp/ActionLexer.class\
	antlr/actions/cpp/ActionLexerTokenTypes.class\
	antlr/actions/java/ActionLexer.class\
	antlr/actions/java/ActionLexerTokenTypes.class\
	antlr/collections/Enumerator.class\
	antlr/collections/impl/ASTEnumerator.class\
	antlr/collections/impl/IndexedVector.class\
	antlr/collections/impl/IntRange.class\
	antlr/collections/impl/LLEnumeration.class\
	antlr/collections/impl/Vector.class\
	antlr/collections/impl/VectorEnumeration.class\
	antlr/collections/impl/VectorEnumerator.class\
	antlr/preprocessor/Grammar.class\
	antlr/preprocessor/GrammarFile.class\
	antlr/preprocessor/Hierarchy.class\
	antlr/preprocessor/Option.class\
	antlr/preprocessor/Preprocessor.class\
	antlr/preprocessor/PreprocessorLexer.class\
	antlr/preprocessor/PreprocessorTokenTypes.class\
	antlr/preprocessor/Rule.class\
	antlr/preprocessor/Tool.class

#
# Define what to make.
#

#
#  Include examples?
#
SUBDIRS := antlr lib
ifeq (yes,$(WITH_EXAMPLES))
SUBDIRS += examples
endif
ALL_SUB_DIRS = $(SUBDIRS) $(DOCDIR)

#
# Generate dependencies if they don't exist (mainly for C++)
#
ifneq (.depend,$(wildcard .depend))
CONFIGURATION := depend
endif

#
#  Jars
#
JAR_TARGETS := antlr.jar antlr.debug.jar antlrall.jar

#
#  Additional "distclean" targets...
#  FIXME: should config.log and config.status be moved to general
#  Rules.make distclean target?
#
DC_TARGETS = config.log config.status scripts/antlr-config scripts/run-antlr scripts/Config.make

#
# Rules start here.
#
.PHONY: all
all: $(CONFIGURATION) subdirs $(JAR_TARGETS) Newversion

#
# Rules to update version file containing the build number.
#
.PHONY: Newversion
Newversion: $(VERSION_FILE);
	@ expr 0`cat $(VERSION_FILE)` + 1 > $(VERSION_FILE)

$(VERSION_FILE): ;
	@ if [ ! -f $(VERSION_FILE) ]; then \
		echo 1 > $(VERSION_FILE); \
	fi

#
# Generic version tracking system ;)
#
antlr/Version.java: $(VERSION_FILE)
	@echo "Rebuilding Version.java"
	@echo "package antlr;"  > $@
	@echo "public class Version {"  >> $@
	@echo "	public static final String version    = \"$(VERSION)\";"  >> $@
	@echo "	public static final String subversion = \"$(SUBVERSION)\";"  >> $@
	@echo "	public static final String patchlevel = \"$(PATCHLEVEL)\";"  >> $@
	@echo "	public static final String datestamp  = \"$(DATE)\";"  >> $@
	@echo "	public static final String project_version = \"$(VERSION).$(SUBVERSION).$(PATCHLEVEL) ($(DATE)-$(shell cat $(VERSION_FILE)))\";"  >> $@
# Or if you don't want the build no in it... use this line..
#	@echo "	public static final String project_version = \"$(VERSION).$(SUBVERSION).$(PATCHLEVEL) ($(DATE))\";"  >> $@
	@echo "}"  >> $@

#
# Rules to make automatic dependencies.
# NOTE: Java dependencies only in this subdir (see below).
.PHONY: depend
depend: java_deps
	@echo =============================
	@echo Making dependencies...
	@echo =============================
	@set -e; for i in $(SUBDIRS); do $(MAKE) -C $$i fastdep; done
	@-$(RM) -f .depend
	@$(TOUCH) .depend		# Record rule execution event.
#
#  Handle java dependencies differently since they are harder to
#  generate. The dependencies are probably a little bit more
#  aggressive than necessary in most cases.
#  NOTE: For now, ./java_deps is generated externally and modified
#  into ./.depend by eliding Version.class and appending a dependency
#  for each inner classes (found in the combined list of .class files
#  by their distinctive embedded $) on its enclosing class .class file.
#  The complexity of the statement to generate the inner class
#  dependencies is due to: 1) make eating newlines in variable
#  assignment; 2) make requiring $$ for $ in both commands and
#  included files (.depend); and 3) /bin/sh's (echo) interpretation
#  of an unescaped $x as the variable x.  Lovely.
#
	@cat java_deps | grep -v ": antlr/Version.class" >> .depend
	@for i in $(subst $$,\$$\$$, $(antlrall_jar_FILES)) ; do echo $$i ; done \
	  | sed -n  -e 's,^[ 	]*\([^$$]*\)\($$$$.*\)\.class.*$$,\1\2.class : \1.class,p' \
	  >> .depend
#
# Specify dependencies for the jar files.
# (required by %.jar implicit rule structure)
#
antlr.jar: $(antlr_jar_FILES)
antlr.debug.jar: $(antlr_debug_jar_FILES)
antlrall.jar: $(antlrall_jar_FILES)

#
#  Rule to build an ANTLR from a cleaned distribution
#  by first using an alternate ANTLR jar, and second
#  rebuilding using the interim ANTLR. The idea being
#  that this will leave the distribution with an ANTLR
#  jar consistent with the antlr.g, et al., of the
#  distribution. Inspired by GCC, but distinctly less
#  sophisticated. Once this completes, execute "make"
#  to use the new antlr.Tool to build itself for the
#  final time.
#
.PHONY: bootstrap
bootstrap: $(CONFIGURATION)
	$(MAKE) -C antlr bootstrap_g
	$(MAKE) antlrall.jar
	$(MAKE) -C antlr clean_g
	$(MAKE) -C antlr
	$(MAKE) antlrall.jar
	$(MAKE) -C antlr clean_g

#
#  Subdirs rule for make <no_goal_specified>.
#  FIXME: merge with Rules.make:sub_dirs?
#
.PHONY: subdirs
subdirs:
	@set -e; for i in $(SUBDIRS); do \
		echo ============================= ; \
		echo Making $$i ...                ; \

=== antlr/Makefile ===
# This file basically only rebuilds the ANTLR generated stuff.
G_FILES := antlr.g tokdef.g

SUB_DIRS := preprocessor actions collections debug
ALL_SUB_DIRS := $(SUB_DIRS)

# What's generated from antlr.g
antlr_g_FILES := \
   ANTLRParser.java \
   ANTLRTokenTypes.java \
   ANTLRTokenTypes.txt \
   ANTLRLexer.java

# What's generated from tokdef.g
tokdef_g_FILES := \
   ANTLRTokdefParser.java \
   ANTLRTokdefLexer.java \
   ANTLRTokdefParserTokenTypes.java \
   ANTLRTokdefParserTokenTypes.txt

ifndef TOPDIR
	TOPDIR  = $(shell pwd)/..
endif

# Leave these above any other rules...
include $(TOPDIR)/scripts/Config.make
include $(TOPDIR)/scripts/Rules.make

# Check out all the generated stuff here..
p4_genfiles: ;
	p4 edit $(antlr_g_FILES) $(tokdef_g_FILES)

=== lib/Makefile ===
###############################################################################
# $Id: $
###############################################################################

SUB_DIRS = cpp
ALL_SUB_DIRS = $(SUB_DIRS)

ifndef TOPDIR
TOPDIR  = $(shell pwd)/..
endif

include $(TOPDIR)/scripts/Config.make
include $(TOPDIR)/scripts/Rules.make

=== antlr/actions/Makefile ===
###############################################################################
# $Id: $
###############################################################################

SUB_DIRS= java cpp
ALL_SUB_DIRS= $(SUB_DIRS)

ifndef TOPDIR
        TOPDIR  = $(shell pwd)/../..
endif

include $(TOPDIR)/scripts/Config.make
include $(TOPDIR)/scripts/Rules.make

=== antlr/collections/Makefile ===
SUB_DIRS := impl
ALL_SUB_DIRS := $(SUB_DIRS)

# Leave these 2 above any other rules...
ifndef TOPDIR
	TOPDIR  = $(shell pwd)/../..
endif

include $(TOPDIR)/scripts/Config.make
include $(TOPDIR)/scripts/Rules.make

=== antlr/debug/Makefile ===
SUB_DIRS := misc
ALL_SUB_DIRS := $(SUB_DIRS)

# Leave these 2 above any other rules...
ifndef TOPDIR
	TOPDIR  = $(shell pwd)/../..
endif

include $(TOPDIR)/scripts/Config.make
include $(TOPDIR)/scripts/Rules.make

=== antlr/preprocessor/Makefile ===
G_FILES := preproc.g

# What's generated from G_TARGET
preproc_g_FILES := \
   Preprocessor.java \
   PreprocessorLexer.java \
   PreprocessorTokenTypes.java \
   PreprocessorTokenTypes.txt \

ifndef TOPDIR
	TOPDIR  = $(shell pwd)/../..
endif

# Leave these above any other rules...
include $(TOPDIR)/scripts/Config.make
include $(TOPDIR)/scripts/Rules.make

# Check out all the generated stuff here..
p4_genfiles: ;
	p4 edit $(preproc_g_GENFILES)

=== examples/cpp/Makefile ===
###############################################################################
# $Id: $
###############################################################################

SUB_DIRS = ASTsupport \
	calc \
	columns \
	exprAST \
	filter \
	filterWithRule \
	flexLexer \
	heteroAST \
	HTML \
	IDL \
	imagNodeAST \
	includeFile \
	tinyc \
	inherit.tinyc \
	java \
	lexRewrite \
	multiLexer \
	multiParser \
	parseBinary \
	preserveWhiteSpace \
	transform \
	treewalk \
#	unicode

ALL_SUB_DIRS = $(SUB_DIRS)

ifndef TOPDIR
TOPDIR  = $(shell pwd)/../..
endif

include $(TOPDIR)/scripts/Config.make
include $(TOPDIR)/scripts/Rules.make

=== lib/cpp/Makefile ===
###############################################################################
# $Id: $
###############################################################################

# Docs
DOXY_TARGET=doxygen.cfg
DOXY_GENDIR=gendoc/html

SUB_DIRS = src antlr
ALL_SUB_DIRS := $(SUB_DIRS)

ifndef TOPDIR
TOPDIR  = $(shell pwd)/../..
endif

include $(TOPDIR)/scripts/Config.make
include $(TOPDIR)/scripts/Rules.make

=== antlr/actions/cpp/Makefile ===
G_FILES=action.g

# What's generated from G_TARGET
action_g_FILES := \
	ActionLexer.java \
	ActionLexerTokenTypes.java \
	ActionLexerTokenTypes.txt

ifndef TOPDIR
	TOPDIR  = $(shell pwd)/../../..
endif

# Leave these above any other rules...
include $(TOPDIR)/scripts/Config.make
include $(TOPDIR)/scripts/Rules.make

# Check out all the generated stuff here..
p4_genfiles: ;
	p4 edit $(action_g_FILES)

=== antlr/debug/misc/Makefile ===

# Leave these 2 above any other rules...
ifndef TOPDIR
	TOPDIR  = $(shell pwd)/../../..
endif

include $(TOPDIR)/scripts/Config.make
include $(TOPDIR)/scripts/Rules.make

=== examples/cpp/ASTsupport/Makefile ===
###############################################################################
# $Id: $
###############################################################################

G_FILES := test.g
test_g_FILES := SupportTest.cpp \
	SupportTest.hpp \
	SupportTestTokenTypes.hpp \
	SupportTestTokenTypes.txt

# Binary to generate
B_NAME := ASTSupport
# Objects it consists of
B_OBJS := SupportTest.o Main.o

C_TARGETS := $(test_g_FILES)

ifndef TOPDIR
TOPDIR  = $(shell pwd)/../../..
endif

include $(TOPDIR)/scripts/Config.make
include $(TOPDIR)/scripts/Rules.make

# Antlr deps.
EXTRA_LIBS := $(ANTLR_LIBS)
EXTRA_CXXFLAGS := $(ANTLR_INCS)

# DO NOT DELETE

Main.o: SupportTest.hpp SupportTestTokenTypes.hpp
SupportTest.o: SupportTest.hpp SupportTestTokenTypes.hpp

=== debian/changelog ===
antlr (2.7.2-6) unstable; urgency=low

  * changed debhelper compatibility level to 4
  * added versioned dependency on debhelper 

 -- John Leuner <jewel@debian.org>  Sat,  1 Nov 2003 10:44:41 +0200

antlr (2.7.2-5) unstable; urgency=low

  * Changed C++ library dependency from libstdc++ 2.10
    to libstdc++ 5
   (Closes: #214155) 

 -- John Leuner <jewel@debian.org>  Thu, 16 Oct 2003 18:47:35 +0200

antlr (2.7.2-4) unstable; urgency=low

  * Built on sid with gcc 3.3.2
   (Closes: #214155) 

 -- John Leuner <jewel@debian.org>  Sun, 12 Oct 2003 14:44:20 +0200

antlr (2.7.2-3) unstable; urgency=low

  * Applied patch from Kristian G. Kvilekval which fixes
    a behaviour change from 2.7.1 to 2.7.2. 
    (Closes: #206489)

 -- John Leuner <jewel@debian.org>  Thu,  4 Sep 2003 19:19:56 +0200

antlr (2.7.2-2) unstable; urgency=low

  * Created symlinks to antlr.debug.jar and antlrall.jar
    (Closes: #194953)
	
 -- John Leuner <jewel@debian.org>  Mon, 18 Aug 2003 13:50:11 +0100

antlr (2.7.2-1) unstable; urgency=low

  * New upstream version 
  * No longer builds libantlr.la (upstream build system has changed)
  * antlr package is now for all architectures

 -- John Leuner <jewel@debian.org>  Sun, 18 May 2003 19:56:09 +0100

antlr (2.7.1-13) unstable; urgency=low

  * More changes to fix out of date build scripts
   (this time in scripts directory)

 -- John Leuner <jewel@debian.org>  Fri, 18 Oct 2002 15:05:55 +0100

antlr (2.7.1-12) unstable; urgency=low

  * Applied changes from Henrique de Moraes Holschuh to fix
    problems with out-of-date autobuild files

 -- John Leuner <jewel@debian.org>  Mon, 30 Sep 2002 11:13:44 +0100

antlr (2.7.1-11) unstable; urgency=low

  * Changed dependency from Kaffe to classpath (Closes #147235) 

 -- John Leuner <jewel@debian.org>  Fri, 24 May 2002 14:01:16 +0100

antlr (2.7.1-10) unstable; urgency=low

  * Renamed /usr/bin/antlr to /usr/bin/runantlr because it conflicts with pccts. Closes #127898 

 -- John Leuner <jewel@debian.org>  Mon,  7 Jan 2002 13:54:11 +0000

antlr (2.7.1-9) unstable; urgency=low

  * Created shell script in /usr/bin that will run antlr.Tool 

 -- John Leuner <jewel@debian.org>  Fri,  4 Jan 2002 14:10:52 +0000

antlr (2.7.1-8) unstable; urgency=low

  * Changed install to not set execute permissions on jar files 

 -- John Leuner <jewel@debian.org>  Thu,  3 Jan 2002 18:07:00 +0000

antlr (2.7.1-7) unstable; urgency=low

  * Applied man page formatting patch by Richard Tibbet 

 -- John Leuner <jewel@debian.org>  Thu,  3 Jan 2002 17:54:29 +0000

antlr (2.7.1-6) unstable; urgency=low

  * Changed Makefile to make the build shell scripts executable (seems to fail with build daemons) ( closes #105733 )

 -- John Leuner <jewel@debian.org>  Wed, 18 Jul 2001 18:07:35 +0000

antlr (2.7.1-5) unstable; urgency=low

  * Changed debian/rules to remove /lib/cpp/src/.deps after make clean. Should fix bugs on hppa,ia64,ppc,m68k

 -- John Leuner <jewel@debian.org>  Sat, 14 Jul 2001 14:16:27 +0000

antlr (2.7.1-4) unstable; urgency=low

  * Version 4 of this package, now compiles the java files (previously I used precompiled classes). Because of this antlr.jar, antlr.debug.jar and antlrall.jar are all copies of the same file (I couldn't determine exactly which files belong where).

  * Removed *ex* files from debian directory

 -- John Leuner <jewel@debian.org>  Sat, 14 Apr 2001 12:05:09 +0000

antlr (2.7.1-3) unstable; urgency=low

  * Changed the Depends: antlr to Recommends for the libantlr-dev package

 -- John Leuner <jewel@debian.org>  Sat,  7 Apr 2001 12:40:50 +0000

antlr (2.7.1-2) unstable; urgency=low

  * Added the c++ library support. Changes to package made by W. Borgert (debacle@debian.org

 -- John Leuner <jewel@debian.org>  Tue, 13 Feb 2001 21:43:23 +0000

antlr (2.7.1-1) unstable; urgency=low

  * Initial Release.

 -- John Leuner <jewel@debian.org>  Tue, 26 Dec 2000 15:07:44 +0000

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: antlr
Section: devel
Priority: optional
Maintainer: John Leuner <jewel@debian.org>
Build-Depends: debhelper (>= 4), fastjar, classpath, jikes-classpath (>= 1.18), bash, autotools-dev
Standards-Version: 3.0.1 

Package: antlr
Architecture: all
Depends: java-virtual-machine
Description: A language tool for constructing recognizers, compilers etc
 ANTLR, ANother Tool for Language Recognition, (formerly PCCTS) is 
 a language tool that provides a framework for constructing recognizers,
 compilers, and translators from grammatical descriptions containing C++
 or Java actions [You can use PCCTS 1.xx to generate C-based parsers].
 . 
 Computer language translation has become a common task. While 
 compilers and tools for traditional computer languages (such as C
 or Java) are still being built, their number is dwarfed by the thousands
 of mini-languages for which recognizers and translators are being 
 developed. Programmers construct translators for database formats, 
 graphical data files (e.g., PostScript, AutoCAD), text processing 
 files (e.g., HTML, SGML).  ANTLR is designed to handle all of your 
 translation tasks.

Package: libantlr-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libstdc++5-3.3-dev
Recommends: antlr
Description: A language tool for constructing recognizers, compilers etc
 ANTLR, ANother Tool for Language Recognition, (formerly PCCTS) is
 a language tool that provides a framework for constructing recognizers,
 compilers, and translators from grammatical descriptions containing C++
 or Java actions [You can use PCCTS 1.xx to generate C-based parsers].
 .
 These are the static libraries for C++.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=4

configure: configure-stamp
configure-stamp: autotools
	dh_testdir
	JAVAC=jikes-classpath ./configure --prefix=/usr --mandir=\$${prefix}/share/man
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE) -f Makefile.debian build_antlr
	cd lib/cpp; $(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) -f Makefile.debian clean
	-cd lib/cpp; $(MAKE) clean
	rm -rf lib/cpp/src/.deps
	-rm -f lib/cpp/config.sub lib/cpp/config.guess lib/cpp/config.cache lib/cpp/config.log
	-rm -f lib/cpp/scripts/config.sub lib/cpp/scripts/config.guess lib/cpp/scripts/config.cache lib/cpp/scripts/config.log
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) -f Makefile.debian install DESTDIR=`pwd`/debian/antlr
	cd lib/cpp; $(MAKE) install prefix=`pwd`/../../debian/libantlr-dev/usr

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir -pantlr
	dh_testroot -pantlr
#	dh_installdebconf	
	dh_installdocs -pantlr
	dh_installexamples -pantlr
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
	dh_installmanpages -pantlr
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs -pantlr
	dh_link -pantlr usr/share/java/antlr.jar usr/share/java/antlr.debug.jar usr/share/java/antlr.jar usr/share/java/antlrall.jar
#	dh_strip
	dh_compress -pantlr
	dh_fixperms -pantlr
#	dh_suidregister
	dh_makeshlibs -pantlr
	dh_installdeb -pantlr
#	dh_perl
	dh_shlibdeps -pantlr
	dh_gencontrol -pantlr
	dh_md5sums -pantlr
	dh_builddeb -pantlr

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir -plibantlr-dev
	dh_testroot -plibantlr-dev
#	dh_installdebconf	
	dh_installdocs -plibantlr-dev
	dh_installexamples -plibantlr-dev
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs -plibantlr-dev
#	dh_link
#	dh_strip
	dh_compress -plibantlr-dev
	dh_fixperms -plibantlr-dev
#	dh_suidregister
	dh_makeshlibs -plibantlr-dev
	dh_installdeb -plibantlr-dev
#	dh_perl
	dh_shlibdeps -plibantlr-dev
	dh_gencontrol -plibantlr-dev
	dh_md5sums -plibantlr-dev
	dh_builddeb -plibantlr-dev

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install autotools

## antlr 2.7.4

=== Makefile ===
###############################################################################
# $Id: //depot/code/org.antlr/dev/klaren.dev/Makefile $
###############################################################################

TARGET = antlr

DATE         := $(shell date +%Y%m%d)
VERSION_FILE := .version

ifeq ($(VERSION_FILE),$(wildcard $(VERSION_FILE)))
TAR_FILE	= $(PACKAGE_NAME)-$(DATE)-$(shell cat $(VERSION_FILE)).tar.gz
endif

TAR_DIR		 = $(shell basename $$PWD)

#
# Variable definitions
#
ifeq (scripts/Config.make,$(wildcard scripts/Config.make))
include scripts/Config.make
else
default:
	@echo "Please run configure script before running make"
	@echo "   Check ./configure --help for options"
	@echo "   Also check install.html and the documentation in doc/"
	@echo "   Please also verify that all files/directories are writeable"
endif

#
# Set TOPDIR
#
TOPDIR	=	$(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)

#
#  JAR contents.
#
#  N.B., Any class file name with an embedded '$'
#  (javac generated filenames for inner classes) must
#  have the '$' escaped with '$' for make (i.e.,
#  each '$' in the file name is represented by '$$').
#

#
# Which classes end up in the antlr.jar (antlr.Tool)
# direct listing taken from distro antlr.jar
#
antlr_jar_FILES := \
   antlr/ANTLRError.class\
   antlr/ANTLRException.class\
   antlr/ANTLRGrammarParseBehavior.class\
   antlr/ANTLRHashString.class\
   antlr/ANTLRLexer.class\
   antlr/ANTLRParser.class\
   antlr/ANTLRStringBuffer.class\
   antlr/ANTLRTokdefLexer.class\
   antlr/ANTLRTokdefParser.class\
   antlr/ANTLRTokdefParserTokenTypes.class\
   antlr/ANTLRTokenTypes.class\
   antlr/ASTFactory.class\
   antlr/ASTIterator.class\
   antlr/ASTNULLType.class\
   antlr/ASTPair.class\
   antlr/ASTVisitor.class\
   antlr/ActionElement.class\
   antlr/ActionTransInfo.class\
   antlr/Alternative.class\
   antlr/AlternativeBlock.class\
   antlr/AlternativeElement.class\
   antlr/BaseAST.class\
   antlr/BlockContext.class\
   antlr/BlockEndElement.class\
   antlr/BlockWithImpliedExitPath.class\
   antlr/ByteBuffer.class\
   antlr/CSharpBlockFinishingInfo.class\
   antlr/CSharpCharFormatter.class\
   antlr/CSharpCodeGenerator.class\
   antlr/CSharpNameSpace.class\
   antlr/CharBuffer.class\
   antlr/CharFormatter.class\
   antlr/CharLiteralElement.class\
   antlr/CharQueue.class\
   antlr/CharRangeElement.class\
   antlr/CharScanner.class\
   antlr/CharStreamException.class\
   antlr/CharStreamIOException.class\
   antlr/CodeGenerator.class\
   antlr/CommonAST.class\
   antlr/CommonASTWithHiddenTokens.class\
   antlr/CommonHiddenStreamToken.class\
   antlr/CommonToken.class\
   antlr/CppBlockFinishingInfo.class\
   antlr/CppCharFormatter.class\
   antlr/CppCodeGenerator.class\
   antlr/DefaultFileLineFormatter.class\
   antlr/DefaultToolErrorHandler.class\
   antlr/DefineGrammarSymbols.class\
   antlr/DiagnosticCodeGenerator.class\
   antlr/DocBookCodeGenerator.class\
   antlr/DumpASTVisitor.class\
   antlr/ExceptionHandler.class\
   antlr/ExceptionSpec.class\
   antlr/FileCopyException.class\
   antlr/FileLineFormatter.class\
   antlr/Grammar.class\
   antlr/GrammarAnalyzer.class\
   antlr/GrammarAtom.class\
   antlr/GrammarElement.class\
   antlr/GrammarSymbol.class\
   antlr/HTMLCodeGenerator.class\
   antlr/ImportVocabTokenManager.class\
   antlr/InputBuffer.class\
   antlr/JavaBlockFinishingInfo.class\
   antlr/JavaCharFormatter.class\
   antlr/JavaCodeGenerator.class\
   antlr/LLkAnalyzer.class\
   antlr/LLkGrammarAnalyzer.class\
   antlr/LLkParser.class\
   antlr/LexerGrammar.class\
   antlr/LexerSharedInputState.class\
   antlr/Lookahead.class\
   antlr/MakeGrammar.class\
   antlr/MismatchedCharException.class\
   antlr/MismatchedTokenException.class\
   antlr/NameSpace.class\
   antlr/NoViableAltException.class\
   antlr/NoViableAltForCharException.class\
   antlr/OneOrMoreBlock.class\
   antlr/ParseTree.class\
   antlr/ParseTreeRule.class\
   antlr/ParseTreeToken.class\
   antlr/Parser.class\
   antlr/ParserGrammar.class\
   antlr/ParserSharedInputState.class\
   antlr/PreservingFileWriter.class\
   antlr/RecognitionException.class\
   antlr/RuleBlock.class\
   antlr/RuleEndElement.class\
   antlr/RuleRefElement.class\
   antlr/RuleSymbol.class\
   antlr/SemanticException.class\
   antlr/SimpleTokenManager.class\
   antlr/StringLiteralElement.class\
   antlr/StringLiteralSymbol.class\
   antlr/StringUtils.class\
   antlr/SynPredBlock.class\
   antlr/Token.class\
   antlr/TokenBuffer.class\
   antlr/TokenManager.class\
   antlr/TokenQueue.class\
   antlr/TokenRangeElement.class\
   antlr/TokenRefElement.class\
   antlr/TokenStream.class\
   antlr/TokenStreamBasicFilter.class\
   antlr/TokenStreamException.class\
   antlr/TokenStreamHiddenTokenFilter.class\
   antlr/TokenStreamIOException.class\
   antlr/TokenStreamRecognitionException.class\
   antlr/TokenStreamRetryException.class\
   antlr/TokenStreamRewriteEngine.class\
	antlr/TokenStreamRewriteEngine$$1.class\
	antlr/TokenStreamRewriteEngine$$DeleteOp.class\
	antlr/TokenStreamRewriteEngine$$InsertBeforeOp.class\
	antlr/TokenStreamRewriteEngine$$ReplaceOp.class\
	antlr/TokenStreamRewriteEngine$$RewriteOperation.class\
   antlr/TokenStreamSelector.class\
   antlr/TokenSymbol.class\
   antlr/TokenWithIndex.class\
   antlr/Tool.class\
   antlr/ToolErrorHandler.class\
   antlr/TreeBlockContext.class\
   antlr/TreeElement.class\
   antlr/TreeParser.class\
   antlr/TreeParserSharedInputState.class\
   antlr/TreeSpecifierNode.class\
   antlr/TreeWalkerGrammar.class\
   antlr/Version.class\
   antlr/WildcardElement.class\
   antlr/ZeroOrMoreBlock.class\
   antlr/actions/cpp/ActionLexer.class\
   antlr/actions/cpp/ActionLexerTokenTypes.class\
   antlr/actions/csharp/ActionLexer.class\
   antlr/actions/csharp/ActionLexerTokenTypes.class\
   antlr/actions/java/ActionLexer.class\
   antlr/actions/java/ActionLexerTokenTypes.class\
   antlr/build/ANTLR.class\
   antlr/build/StreamScarfer.class\
   antlr/build/Tool.class\
   antlr/collections/AST.class\
   antlr/collections/ASTEnumeration.class\
   antlr/collections/Enumerator.class\
   antlr/collections/List.class\
   antlr/collections/Stack.class\
   antlr/collections/impl/ASTArray.class\
   antlr/collections/impl/ASTEnumerator.class\
   antlr/collections/impl/BitSet.class\
   antlr/collections/impl/IndexedVector.class\
   antlr/collections/impl/IntRange.class\
   antlr/collections/impl/LLCell.class\
   antlr/collections/impl/LLEnumeration.class\
   antlr/collections/impl/LList.class\
   antlr/collections/impl/Vector.class\
   antlr/collections/impl/VectorEnumeration.class\
   antlr/collections/impl/VectorEnumerator.class\
   antlr/debug/DebuggingCharScanner.class\
   antlr/debug/DebuggingInputBuffer.class\
   antlr/debug/DebuggingParser.class\
   antlr/debug/Event.class\
   antlr/debug/GuessingEvent.class\
   antlr/debug/InputBufferAdapter.class\
   antlr/debug/InputBufferEvent.class\
   antlr/debug/InputBufferEventSupport.class\
   antlr/debug/InputBufferListener.class\
   antlr/debug/InputBufferReporter.class\
   antlr/debug/LLkDebuggingParser.class\
   antlr/debug/ListenerBase.class\
   antlr/debug/MessageAdapter.class\
   antlr/debug/MessageEvent.class\
   antlr/debug/MessageListener.class\
   antlr/debug/NewLineEvent.class\
   antlr/debug/NewLineListener.class\
   antlr/debug/ParseTreeDebugParser.class\
   antlr/debug/ParserAdapter.class\
   antlr/debug/ParserController.class\
   antlr/debug/ParserEventSupport.class\
   antlr/debug/ParserListener.class\
   antlr/debug/ParserMatchAdapter.class\
   antlr/debug/ParserMatchEvent.class\
   antlr/debug/ParserMatchListener.class\
   antlr/debug/ParserReporter.class\
   antlr/debug/ParserTokenAdapter.class\
   antlr/debug/ParserTokenEvent.class\
   antlr/debug/ParserTokenListener.class\
   antlr/debug/SemanticPredicateAdapter.class\
   antlr/debug/SemanticPredicateEvent.class\
   antlr/debug/SemanticPredicateListener.class\
   antlr/debug/SyntacticPredicateAdapter.class\
   antlr/debug/SyntacticPredicateEvent.class\
   antlr/debug/SyntacticPredicateListener.class\
   antlr/debug/TraceAdapter.class\
   antlr/debug/TraceEvent.class\
   antlr/debug/TraceListener.class\
   antlr/debug/Tracer.class\
   antlr/debug/misc/ASTFrame.class\
	antlr/debug/misc/ASTFrame$$1.class \
	antlr/debug/misc/ASTFrame$$MyTreeSelectionListener.class \
   antlr/debug/misc/JTreeASTModel.class\
   antlr/debug/misc/JTreeASTPanel.class\
   antlr/preprocessor/Grammar.class\
   antlr/preprocessor/GrammarFile.class\
   antlr/preprocessor/Hierarchy.class\
   antlr/preprocessor/Option.class\
   antlr/preprocessor/Preprocessor.class\
   antlr/preprocessor/PreprocessorLexer.class\
   antlr/preprocessor/PreprocessorTokenTypes.class\
   antlr/preprocessor/Rule.class\
   antlr/preprocessor/Tool.class
#
# Define what to make.
#

#
#  Include examples?
#
SUBDIRS := antlr lib
ifeq (yes,$(WITH_EXAMPLES))
SUBDIRS += examples
endif
ALL_SUB_DIRS = $(SUBDIRS) $(DOCDIR)

#
# Generate dependencies if they don't exist (mainly for C++)
#
ifneq (.depend,$(wildcard .depend))
CONFIGURATION := depend
endif

#
#  Jars, only make when JAVAC defined
#
JAR_PREBUILT := antlr.jar
ifneq ($(strip $(JAVAC)),)
JAR_TARGETS := $(JAR_PREBUILT)
endif

#
#  Additional "distclean" targets...
#  FIXME: should config.log and config.status be moved to general
#  Rules.make distclean target?
#
DC_TARGETS = config.log config.status scripts/antlr-config scripts/run-antlr scripts/Config.make

#
# Rules start here.
#
.PHONY: all
all: $(CONFIGURATION) subdirs $(JAR_TARGETS) Newversion

#
# Rules to update version file containing the build number.
#
.PHONY: Newversion
Newversion: $(VERSION_FILE);
	@ expr 0`cat $(VERSION_FILE)` + 1 > $(VERSION_FILE)

$(VERSION_FILE): ;
	@ if [ ! -f $(VERSION_FILE) ]; then \
		echo 1 > $(VERSION_FILE); \
	fi

#
# Generic version tracking system ;)
#
antlr/Version.java: $(VERSION_FILE)
	@echo "Rebuilding Version.java"
	@echo "package antlr;"  > $@
	@echo "public class Version {"  >> $@
	@echo "	public static final String version    = \"$(VERSION)\";"  >> $@
	@echo "	public static final String subversion = \"$(SUBVERSION)\";"  >> $@
	@echo "	public static final String patchlevel = \"$(PATCHLEVEL)\";"  >> $@
	@echo "	public static final String datestamp  = \"$(DATE)\";"  >> $@
	@echo "	public static final String project_version = \"$(VERSION).$(SUBVERSION).$(PATCHLEVEL) ($(DATE)-$(shell cat $(VERSION_FILE)))\";"  >> $@
# Or if you don't want the build no in it... use this line..
#	@echo "	public static final String project_version = \"$(VERSION).$(SUBVERSION).$(PATCHLEVEL) ($(DATE))\";"  >> $@
	@echo "}"  >> $@

#
# Rules to make automatic dependencies.
# NOTE: Java dependencies only in this subdir (see below).
.PHONY: depend
depend: java_deps
	@echo =============================
	@echo Making dependencies...
	@echo =============================
	@-$(RM) -f .depend
#
#  Handle java dependencies differently since they are harder to
#  generate. The dependencies are probably a little bit more
#  aggressive than necessary in most cases.
#  NOTE: For now, ./java_deps is generated externally and modified
#  into ./.depend by eliding Version.class and appending a dependency
#  for each inner classes (found in the combined list of .class files
#  by their distinctive embedded $) on its enclosing class .class file.
#  The complexity of the statement to generate the inner class
#  dependencies is due to: 1) make eating newlines in variable
#  assignment; 2) make requiring $$ for $ in both commands and
#  included files (.depend); and 3) /bin/sh's (echo) interpretation
#  of an unescaped $x as the variable x.  Lovely.
#
#  RK: got the impression this stuff is not 100% stable across sh versions
#
	cat java_deps | grep -v ": antlr/Version.class" >> .depend
	for i in $(subst $$,\$$\$$, $(antlr_jar_FILES)) ; do echo $$i ; done \
	  | sed -n  -e 's,^[ 	]*\([^$$]*\)\($$$$.*\)\.class.*$$,\1\2.class : \1.class,p' \
	  >> .depend
# Do subdirs

=== antlr/Makefile ===
--- 
+++ 
@@ -18,6 +18,24 @@
    ANTLRTokdefParserTokenTypes.java \
    ANTLRTokdefParserTokenTypes.txt
 
+ifneq ($(strip $(GCJ)),)
+B_NAME := ../antlr.bin
+endif
+
+#
+# RK: the gcj stuff is a bit hacked inhere for now. Did not see a really nice
+# way to incorporate it in the java build. Maybe I'll get inspiration
+# lateron.
+#
+GCJ_JAVA_FILES := \
+	$(wildcard *.java) \
+	$(wildcard collections/*.java) \
+	$(wildcard collections/impl/*.java) \
+	$(wildcard preprocessor/*.java) \
+	$(wildcard actions/*/*.java)
+
+GCJ_OBJS := $(GCJ_JAVA_FILES:.java=.o)
+
 ifndef TOPDIR
 	TOPDIR  = $(shell pwd)/..
 endif
@@ -26,6 +44,34 @@
 include $(TOPDIR)/scripts/Config.make
 include $(TOPDIR)/scripts/Rules.make
 
+#
+# Generic rule to build a native object from a java file with gcj
+#
+%.o:	%.java
+	$(GCJ) -c -o $@ $< $(GCJFLAGS) $(EXTRA_GCJFLAGS)
+
+#
+# Calc deps with gcj
+#
+ifneq ($(strip $(GCJ)),)
+.PHONY: dep fastdep
+dep fastdep : ;
+	@-$(RM) -f .depend
+	$(GCJ) $(GCJFLAGS)  $(EXTRA_GCJFLAGS) -MM $(GCJ_JAVA_FILES) >> .depend
+	@-$(RM) -f .depend.bak
+	@$(TOUCH) .depend
+endif
+
+#
+# Rule to build a native binary from the java files.
+#
+$(B_NAME) gcj: $(GCJ_OBJS) ;
+	$(GCJ) $(GCJFLAGS) $(EXTRA_GCJFLAGS) -o $(B_NAME) --main=antlr.Tool $(GCJ_OBJS)
+
 # Check out all the generated stuff here..
+.PHONY: p4_genfiles
 p4_genfiles: ;
 	p4 edit $(antlr_g_FILES) $(tokdef_g_FILES)
+
+.PHONY: install
+install: ;

=== examples/cpp/Makefile ===
--- 
+++ 
@@ -4,7 +4,6 @@
 
 SUB_DIRS = ASTsupport \
 	calc \
-	columns \
 	exprAST \
 	filter \
 	filterWithRule \

=== examples/cpp/flexLexer/Makefile ===
###############################################################################
# $Id: $
###############################################################################

FLEX = flex
FLEX_LIB = -lfl

G_FILES = java.g  java.tree.g

java_g_FILES := JavaRecognizer.cpp JavaRecognizer.hpp JavaTokenTypes.hpp \
	JavaTokenTypes.txt
java_tree_g_FILES := JavaTreeParser.cpp JavaTreeParser.hpp \
	JavaTreeParserTokenTypes.hpp JavaTreeParserTokenTypes.txt

B_NAME := java_recognizer
B_OBJS := Main.o LexTokenStream.o JavaRecognizer.o JavaTreeParser.o lex.yy.o

lexfiles := lex.yy.c

C_TARGETS := $(java_g_FILES) $(java_tree_g_FILES) $(lexfiles)

ifndef TOPDIR
TOPDIR  = $(shell pwd)/../../..
endif

include $(TOPDIR)/scripts/Config.make
include $(TOPDIR)/scripts/Rules.make

# Antlr deps.
EXTRA_LIBS := $(ANTLR_LIBS) $(FLEX_LIB)
EXTRA_CXXFLAGS := $(ANTLR_INCS)

# flex stuff
lex.yy.c: java.l ;
	$(FLEX) $<

# DO NOT DELETE

JavaRecognizer.o: JavaRecognizer.hpp JavaTokenTypes.hpp
JavaTreeParser.o: JavaTreeParser.hpp JavaTreeParserTokenTypes.hpp
LexTokenStream.o: LexTokenStream.hpp
Main.o: LexTokenStream.hpp JavaRecognizer.hpp JavaTokenTypes.hpp
Main.o: JavaTreeParser.hpp JavaTreeParserTokenTypes.hpp

=== examples/cpp/inherit.tinyc/Makefile ===
###############################################################################
# $Id: $
###############################################################################

G_FILES := subc.g
subc_g_FILES := TinyCLexer.cpp TinyCLexer.hpp TinyCTokenTypes.hpp \
	TinyCTokenTypes.txt TinyCParser.hpp \
	MyCParser.cpp MyCParser.hpp \
	MyCParserTokenTypes.hpp MyCParserTokenTypes.txt \
	TinyCParserTokenTypes.txt
ANTLR_FLAGS := -glib ../tinyc/tinyc.g

B_NAME := tinyc2
B_OBJS := Main.o MyCParser.o

C_TARGETS := $(subc_g_FILES) TinyCParserTokenTypes.txt expandedsubc.g

ifndef TOPDIR
TOPDIR  = $(shell pwd)/../../..
endif

TINYTOKENTYPES=../tinyc/TinyCParserTokenTypes.txt

ifneq (../tinyc/TinyCParserTokenTypes.txt,$(wildcard ../tinyc/TinyCParserTokenTypes.txt))
default: ;
	@echo "Please make tinyc example before trying this one."
else
default:
	cp ../tinyc/TinyCParserTokenTypes.txt .
	$(MAKE) $(B_NAME)
endif

include $(TOPDIR)/scripts/Config.make
include $(TOPDIR)/scripts/Rules.make

# Antlr deps.
EXTRA_LIBS := ../tinyc/TinyCLexer.o $(ANTLR_LIBS)
EXTRA_CXXFLAGS := $(ANTLR_INCS) -I../tinyc

MyCParser.hpp MyCParserTokenTypes.hpp: .subc.g
Main.o: Main.cpp MyCParserTokenTypes.hpp
MyCParser.o: MyCParser.cpp MyCParser.hpp MyCParserTokenTypes.hpp

=== lib/cpp/src/Makefile ===
###############################################################################
# $Id: //depot/ $
###############################################################################

# The sources for the support lib
WIN32_SOURCE := dll.cpp
SOURCE     := ANTLRUtil.cpp \
				  ASTFactory.cpp \
				  ASTNULLType.cpp \
				  ASTRefCount.cpp \
				  BaseAST.cpp \
				  BitSet.cpp \
				  CharBuffer.cpp \
				  CharScanner.cpp \
				  CommonAST.cpp \
				  CommonASTWithHiddenTokens.cpp \
				  CommonHiddenStreamToken.cpp \
				  CommonToken.cpp \
				  InputBuffer.cpp \
				  LLkParser.cpp \
				  MismatchedCharException.cpp \
				  MismatchedTokenException.cpp \
				  NoViableAltException.cpp \
				  NoViableAltForCharException.cpp \
				  Parser.cpp \
				  RecognitionException.cpp \
				  String.cpp \
				  Token.cpp \
				  TokenBuffer.cpp \
				  TokenStreamBasicFilter.cpp \
				  TokenStreamHiddenTokenFilter.cpp \
				  TokenStreamSelector.cpp \
				  TreeParser.cpp

L_OBJS   := $(SOURCE:.cpp=.o)
L_TARGET := libantlr.a

DLL_OBJS := $(L_OBJS) $(WIN32_SOURCE:.cpp=.o)
DLL_TARGET := antlr-$(VERSION)-$(SUBVERSION)-$(PATCHLEVEL).dll

ifndef TOPDIR
TOPDIR  = $(shell pwd)/../../..
endif

include $(TOPDIR)/scripts/Config.make
include $(TOPDIR)/scripts/Rules.make

EXTRA_CXXFLAGS = -I..
